import java.lang.reflect.Field;

public class TestAssets {

    public static Object getFieldValueByName(Object obj, String fieldName) {
        Object fieldValue = null;
        try {
            // 获取对象的Class对象
            Class<?> clazz = obj.getClass();
            // 通过反射获取指定名称的字段
            Field field = clazz.getDeclaredField(fieldName);
            // 设置字段可访问，以便能够访问私有字段
            field.setAccessible(true);
            // 获取字段值
            fieldValue = field.get(obj);
        } catch (NoSuchFieldException e) {
            System.out.println("字段 " + fieldName + " 在类 " + obj.getClass().getName() + " 中不存在.");
        } catch (IllegalAccessException e) {
            System.out.println("无法访问字段 " + fieldName + " 的值.");
        }
        return fieldValue;
    }



    public static void main(String[] args) {
        Object person = new Object() {
            private String name = "John Doe";
            private int age = 30;
        };

        Object nameValue = getFieldValueByName(person, "name");
        Object ageValue = getFieldValueByName(person, "age");

        System.out.println("name = " + nameValue);
        System.out.println("age = " + ageValue);
    }
}