package com.dayou.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dayou.entity.DyoaRecord;
import com.dayou.enums.MainBusinessEnum;
import com.dayou.exception.ErrorCode;
import com.dayou.mapper.DyoaRecordMapper;
import com.dayou.service.IDyoaRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.utils.LoginContext;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * <p>
 * 数据同步记录 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2024-07-25
 */
@DS("mbs")
@Service
public class DyoaRecordServiceImpl extends ServiceImpl<DyoaRecordMapper, DyoaRecord> implements IDyoaRecordService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<DyoaRecord> selectPage(Page page,DyoaRecord dyoaRecord){
        return this.page(page, new QueryWrapper<DyoaRecord>(dyoaRecord));
    }

    @Override
    public void insert(MainBusinessEnum businessEnum,Long mbsId,String dyoaId){
        DyoaRecord dyoaRecord = new DyoaRecord();
        dyoaRecord.setDyoaId(dyoaId);
        dyoaRecord.setMbsId(mbsId);
        dyoaRecord.setMbsType(businessEnum.name());
        dyoaRecord.setUserId(LoginContext.getCurrentUserId());
        this.save(dyoaRecord);
    }

    @Override
    public void isExist(MainBusinessEnum businessEnum,String dyodId){
        DyoaRecord record = this.getOne(new LambdaQueryWrapper<DyoaRecord>().eq(DyoaRecord::getMbsType, businessEnum.name()
        ).eq(DyoaRecord::getDyoaId, dyodId).isNotNull(DyoaRecord::getMbsId));

        if (record!=null){
            ErrorCode.throwBusinessException(ErrorCode.CUSTOM_ERROR,"数据已同步。");
        }
    }


}
